<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCalendarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: calendars
         */
        Schema::create('calendars', function ($table) {
            $table->increments('id');
            $table->dateTime('start')->nullable();
            $table->dateTime('end')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('status', ['Draft','Approved'])->nullable();
            $table->string('category', 45)->nullable();
            $table->string('sub_category', 45)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('title', 100)->nullable();
            $table->string('details', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('calendars');
    }
}
