Lavalite package that provides calendars management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/calendars`.

    "bixo/calendars": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Calendars\Providers\CalendarsServiceProvider::class,

And also add it to alias

    'Calendars'  => Bixo\Calendars\Facades\Calendars::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\CalendarsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Calendars\Providers\CalendarsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Calendars\Providers\CalendarsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Calendars\Providers\CalendarsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/calendars/{modulename}

**User**

    http://path-to-route-folder/user/calendars/{modulename}

**Public**

    http://path-to-route-folder/calendars


### API endpoints

**List**

    http://path-to-route-folder/api/user/calendars/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/calendars/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/calendars/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/calendars/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/calendars/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/calendars/{modulename}/{slug}
    METHOD: GET