<?php

namespace Bixo\Calendars;

use User;

class Calendars
{
    /**
     * $calendar object.
     */
    protected $calendar;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Calendars\Interfaces\CalendarRepositoryInterface $calendar)
    {
        $this->calendar = $calendar;
    }

    /**
     * Returns count of calendars.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.calendar.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->calendar->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\CalendarUserCriteria());
        }

        $calendar = $this->calendar->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('calendars::' . $view, compact('calendar'))->render();
    }
}
