<?php

namespace Bixo\Calendars\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Calendars\Models\Calendar $calendar)
    {
        return [
            'id'                => $calendar->getRouteKey(),
            'key'               => [
                'public'    => $calendar->getPublicKey(),
                'route'     => $calendar->getRouteKey(),
            ], 
            'start'             => $calendar->start,
            'end'               => $calendar->end,
            'listing_id'        => $calendar->listing_id,
            'user_id'           => $calendar->user_id,
            'category'          => $calendar->category,
            'sub_category'      => $calendar->sub_category,
            'location'          => $calendar->location,
            'title'             => $calendar->title,
            'details'           => $calendar->details,
            'created_by'        => $calendar->created_by,
            'deleted_at'        => $calendar->deleted_at,
            'url'               => [
                'public'    => trans_url('calendars/'.$calendar->getPublicKey()),
                'user'      => guard_url('calendars/calendar/'.$calendar->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar->status),
            'created_at'        => format_date($calendar->created_at),
            'updated_at'        => format_date($calendar->updated_at),
        ];
    }
}